git-deborig(1)

NOME
git-deborig - tenta produzir Debian orig.tar usando git-archive(1)

RESUMO
git deborig [--force|-f] [--just-print|--just-print-tag-names] [--version=VERSÃO] [COMMITTISH]

DESCRIÇÃO
git-deborig tenta produzir o orig.tar que você precisa para o seu envio ao chamar git-archive(1) numa etiqueta git ou cabeça de ramo existentes. Foi escrito com o fluxo de trabalho do dgit-maint-merge(7) em mente, mas pode ser usado com outros fluxos de trabalho.

git-deborig irá tentar vários nomes de etiquetas comuns. Se falhar, ou se mais do que uma dessas etiquetas comuns estiver presente, você pode especificar a etiqueta ou cabeça de ramo a arquivar na linha de comandos (COMMITTISH em cima).

git-deborig irá sobrepor gitattributes(5) que iriam causar com que o conteúdo do tarball gerado pelo git-archive(1) não fosse idêntico ao do arquivo submetido: os atributos export-subst e export-ignore.

git-deborig deve ser invocado a partir da raiz do repositório git, o qual deve conter debian/changelog.

OPÇÕES

-f|--force
    Sobrescreve qualquer orig.tar existente no directório pai.

--just-print
    Em vez de na realidade invocar git-archive(1), escreve informação sobre como este seria invocado. Ignora --force.

    Note que ao correr a invocação do git-archive(1) com esta opção pode não produzir os mesmos resultados. Isto porque git-deborig trata de desactivar atributos git que caso contrário são precisos pelo git-archive(1), como detalhado em cima.

--just-print-tag-names
    Em vez de na realidade invocar git-archive(1), ou mesmo verificar quais etiquetas existem, escreve os nomes de etiquetas que iríamos considerar para o número de versão do autor na primeira entrada no registo de alterações Debian, ou isso fornecido com --version.

--version=VERSÃO
    Em vez de ler a nova versão de autor a partir da primeira entrada no registo de alterações Debian, usa VERSÃO.

VEJA TAMBÉM
git-archive(1), dgit-maint-merge(7), dgit-maint-debrebase(7)

AUTOR
git-deborig foi escrito por Sean Whitton <spwhitton@spwhitton.name>.